CVE-2012-0014

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Microsoft .NET Framework 2.0 SP2, 3.5.1, and 4, and Silverlight 4 before 4.1.10111, does not properly restrict access to memory associated with unmanaged objects, which allows remote attackers to execute arbitrary code via (1) a crafted XAML browser application (aka XBAP), (2) a crafted ASP.NET application, (3) a crafted .NET Framework application, or (4) a crafted Silverlight application, aka ".NET Framework Unmanaged Objects Vulnerability."

References

http://www.us-cert.gov/cas/techalerts/TA12-045A.html

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2012/ms12-016

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A13972

Details

Source: MITRE

Published: 2012-02-14

Updated: 2020-09-28

Type: CWE-94

Risk Information

CVSS v2

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Vulnerable Software

Configuration 1

AND

OR

cpe:2.3:a:microsoft:.net_framework:2.0:sp2:*:*:*:*:*:*

cpe:2.3:a:microsoft:.net_framework:3.5.1:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:.net_framework:4.0:*:*:*:*:*:*:*

OR

cpe:2.3:o:microsoft:windows_7:*:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:*:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:sp1:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_7:*:sp1:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2003:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:*:sp2:x86:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:r2:*:itanium:*:*:*:*:*

cpe:2.3:o:microsoft:windows_server_2008:r2:*:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows_vista:*:sp2:x64:*:*:*:*:*

cpe:2.3:o:microsoft:windows_xp:*:sp3:*:*:*:*:*:*

Configuration 2

AND

OR

cpe:2.3:a:microsoft:silverlight:4.0.50524.00:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.50826.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.50917.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.51204.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.60129.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.60310.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.60531.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.60831.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.0.603310.0:*:*:*:*:*:*:*

cpe:2.3:a:microsoft:silverlight:4.1.10111:*:*:*:*:*:*:*

OR

cpe:2.3:o:apple:mac_os_x:*:*:*:*:*:*:*:*

cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
58095MS12-016: Vulnerability in Microsoft Silverlight Could Allow Remote Code Execution (2651026) (Mac OS X)NessusMacOS X Local Security Checks
high
57950MS12-016: Vulnerabilities in .NET Framework and Microsoft Silverlight Could Allow Remote Code Execution (2651026)NessusWindows : Microsoft Bulletins
high